/* Copyright (C) 2023 Free Software Foundation, Inc.
   This file is part of the GNU C Library.
   Contributed by Cupertino Miranda <cupertino.miranda@redhat.com>, 2023.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the GNU C Library; if not, see
   <http://www.gnu.org/licenses/>.  */

#define TUNABLE_NAMESPACE pthread

#include <stdint.h>
#include <stdbool.h>
#include <elf/dl-tunables.h>

extern int32_t __nptl_stack_hugetlb;

static void
TUNABLE_CALLBACK (set_stack_hugetlb) (tunable_val_t *valp)
{
  __nptl_stack_hugetlb = (int32_t) valp->numval;
}

void
__nptl_tunables_init (void)
{
  TUNABLE_GET (stack_hugetlb, int32_t,
	       TUNABLE_CALLBACK (set_stack_hugetlb));
}
